package com.company.testtenants.security;

import com.company.testtenants.entity.ForAllEntity;
import io.jmix.security.model.EntityAttributePolicyAction;
import io.jmix.security.model.EntityPolicyAction;
import io.jmix.security.role.annotation.EntityAttributePolicy;
import io.jmix.security.role.annotation.EntityPolicy;
import io.jmix.security.role.annotation.ResourceRole;
import io.jmix.securityui.role.annotation.MenuPolicy;
import io.jmix.securityui.role.annotation.ScreenPolicy;

@ResourceRole(name = "ForAllEntityFull", code = "for-all-entity-full")
public interface ForAllEntityFullRole {
    @MenuPolicy(menuIds = "mten_ForAllEntity.browse")
    @ScreenPolicy(screenIds = {"mten_ForAllEntity.browse", "mten_ForAllEntity.edit"}, screenClasses = {})
    void screens();

    @EntityAttributePolicy(entityClass = ForAllEntity.class, attributes = "*", action = EntityAttributePolicyAction.MODIFY)
    @EntityPolicy(entityClass = ForAllEntity.class, actions = EntityPolicyAction.ALL)
    void forAllEntity();
}