package com.company.testtenants.security;

import com.company.testtenants.entity.NewEntity;
import io.jmix.security.model.EntityAttributePolicyAction;
import io.jmix.security.model.EntityPolicyAction;
import io.jmix.security.role.annotation.EntityAttributePolicy;
import io.jmix.security.role.annotation.EntityPolicy;
import io.jmix.security.role.annotation.ResourceRole;
import io.jmix.securityui.role.annotation.MenuPolicy;
import io.jmix.securityui.role.annotation.ScreenPolicy;

@ResourceRole(name = "NewEntityFull", code = "new-entity-full")
public interface NewEntityFullRole {
    @MenuPolicy(menuIds = "mten_NewEntity.browse")
    @ScreenPolicy(screenIds = {"mten_NewEntity.edit", "mten_NewEntity.browse"}, screenClasses = {})
    void screens();

    @EntityAttributePolicy(entityClass = NewEntity.class, attributes = "*", action = EntityAttributePolicyAction.MODIFY)
    @EntityPolicy(entityClass = NewEntity.class, actions = EntityPolicyAction.ALL)
    void newEntity();
}